1

I have two plugins for QGIS 2.8 32 bit until now compiled in Visual Studio 2008. Now I want to bring them up to QGIS 2.14 32 bit, but get error message in compiling because Error C2065: 'nullptr' undeclared identifier. Does anybody knows, which Version of Visual Studio used for compiling QGIS 2.14 32 bit. To my knowledge (thats awhile ago) only QGIS 64 bit was compiled in VS 2010, should I now also change to VS2010?

1

Solution is not to change the compiler, because QGIS compilation was succesful, just my plugins gave the error.

So I scrabble about sth in the project properties of qgis and found a preprocessing directive /D nullptr=0 This I copied to my plugins and it worked fine.

Don't know, when this was added. Also don't know where to get the information, if sth. changes in compiling. In the manual there is only a link to a Visual Studio Express download without version information. But you get there a VS 2010, further there is the hint for CMAKE to choose the VS2008 Compiler. Learn through play? :-)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.